OpenGL / 'out of memory' error on qtdragon_hd

More
11 Sep 2023 22:54 - 12 Sep 2023 04:18 #280508 by coredump
Hello. I updated my linuxcnc machine to bookworm yesterday, and also to the new buildbot packages, and my qtdragon stopped working, as shown on the log bellow.

I checked github issues and other posts and i've seen some problems related to Axis and the same error. Tried some of the solutions from the posts (freeglut related packages and symlinks) but can't find anything that actually works. Has anyone have that problem before/fixed it?

EDIT: Forgot to mention that I updated my debian from Bullseye to Bookworm using the upgrade procedure, not a clean install.
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/OpenGL/latebind.py", line 43, in __call__
    return self._finalCall( *args, **named )
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
TypeError: 'NoneType' object is not callable

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/qt5_graphics.py", line 773, in initializeGL
    self.realize()
  File "/usr/lib/python3/dist-packages/qt5_graphics.py", line 538, in realize                                                                                                                                         self.set_font(False)
  File "/usr/lib/python3/dist-packages/qt5_graphics.py", line 519, in set_font
    self.font_base, width, linespace = glnav.use_pango_font(font, 0, 128)
                                       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3/dist-packages/glnav.py", line 65, in use_pango_font
    glBitmap(1, 0, 0, 0, 0, h-d, bytearray([0]*4))
  File "/usr/lib/python3/dist-packages/OpenGL/latebind.py", line 47, in __call__
    return self._finalCall( *args, **named )
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3/dist-packages/OpenGL/wrapper.py", line 700, in wrapperCall
    raise err
  File "/usr/lib/python3/dist-packages/OpenGL/wrapper.py", line 693, in wrapperCall
    result = wrappedOperation( *cArguments )
             ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3/dist-packages/OpenGL/platform/baseplatform.py", line 415, in __call__
    return self( *args, **named )
           ^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3/dist-packages/OpenGL/error.py", line 230, in glCheckError
    raise self._errorClass(
OpenGL.error.GLError: GLError(
        err = 1285,
        description = b'out of memory',
        baseOperation = glBitmap,
        pyArgs = (
                1,
                0,
                0,                                                                                                                                                                                                                0,
                0,
                23.0,
                <OpenGL.arrays._buffers.Py_buffer object at 0x7f590a78a840>,
        ),
        cArgs = (
                1,
                0,
                0,                                                                                                                                                                                                                0,
                0,
                23.0,
                <OpenGL.arrays._buffers.Py_buffer object at 0x7f590a78a840>,
        ),
        cArguments = (
                1,
                0,
                0,
                0,
                0,
                23.0,
                <OpenGL.arrays._buffers.Py_buffer object at 0x7f590a78a840>,
        )
)
Last edit: 12 Sep 2023 04:18 by coredump.

Please Log in or Create an account to join the conversation.

More
12 Sep 2023 15:05 #280556 by coredump
Ok, changing the file as the patch and values on this Issue made qtdragon at least come back to life: github.com/LinuxCNC/linuxcnc/issues/2510...uecomment-1595841568

I assume there's no PR or anything for that yet, so I will just avoid updating the uspace package
The following user(s) said Thank You: Aciera

Please Log in or Create an account to join the conversation.

More
24 Sep 2023 01:31 #281524 by cmorley
A fix (I think) has been pushed to 2.9

Please Log in or Create an account to join the conversation.

More
24 Sep 2023 01:59 #281525 by rodw

A fix (I think) has been pushed to 2.9

Yes, yesterday.

Please Log in or Create an account to join the conversation.

Moderators: cmorley
Time to create page: 0.127 seconds
Powered by Kunena Forum